Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class Callables

    java.lang.Object
      com.google.common.util.concurrent.Callables

    public final class Callables

extends Object

Static utility methods pertaining to the `Callable` interface.

Since:
  1.0
Author:
  Isaac Shum

Method Summary
`static
`<T> Callable<T>`
` | `returning(T value)` Creates a `Callable` which immediately returns a preset value each time it is called.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### returning

    public static <T> Callable<T> returning(@Nullable
                                            T value)

  Creates a `Callable` which immediately returns a preset value each time it is called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.